%This is the log density function of model \mathcal{F} in the normal
%location model (simulation example 2 of Shi (2011).
%
%The function takes two input variables:
%
%x:     the data vector: d_x\times 1 or d_x\times n
%theta: parameter of model \mathcal{F}
%
%The function produces at most three outputs:
%
%logfi:    \log(f(x,\theta))
%d_logfi:  \partial\log(f(x,\theta))/(\partial\theta)
%d2_logfi: \partial^2\log(f(x,\theta))/(\partial\theta^2): the second
%derivative matrix is vectorized into a row when the x input to the
%function has more than one rows.
%
%In the normal regression example, x=(y1,y2). The model assumes that
%(y1,y2)\sim N((0,theta)', I).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [loggi,d_loggi,d2_loggi] = NorLoc_loggi(x,beta)

y1 = x(:,1);
y2 = x(:,2);
nx = length(x(:,1));

loggi = -log(2*pi)/2-(y1).^2/2 - log(2*pi)/2 - (y2-beta).^2/2;

if nargout>1;
    d_loggi = (y2-beta);
end

if nargout>2;
    d2_loggi =  repmat(-1,nx,1);
end
end

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    



