%This is the log density function of model \mathcal{F} in simulation
%example 3 of Shi (2011)
%
%The function takes two input variables:
%
%x:     the data vector: d_x\times 1 or d_x\times n
%theta: parameter of model \mathcal{F}
%
%The function produces at most three outputs:
%
%logfi:    \log(f(x,\theta))
%d_logfi:  \partial\log(f(x,\theta))/(\partial\theta)
%d2_logfi: \partial^2\log(f(x,\theta))/(\partial\theta^2): the second
%derivative matrix is vectorized into a row when the x input to the
%function has more than one rows.
%
%In this example, x is one dimensional, the model assumes x\sim N(theta,1).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [logfi,d_logfi,d2_logfi] = Norm_logfi(x,theta)

nx = length(x);

logfi = -log(2*pi)/2-(x-theta).^2/2;

if nargout>1;
    d_logfi = (x-theta);
end

if nargout>2;
    d2_logfi = repmat(-1,nx,1);
end
end

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    



