%This is the log density function of model \mathcal{F} in simulation
%example 3 of Shi (2011)
%
%The function takes two input variables:
%
%x:     the data vector: d_x\times 1 or d_x\times n
%theta: parameter of model \mathcal{F}
%
%The function produces at most three outputs:
%
%logfi:    \log(f(x,\theta))
%d_logfi:  \partial\log(f(x,\theta))/(\partial\theta)
%d2_logfi: \partial^2\log(f(x,\theta))/(\partial\theta^2): the second
%derivative matrix is vectorized into a row when the x input to the
%function has more than one rows.
%
%In this example, x is one dimensional, the model assumes x\sim N(0,theta).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [logfi,d_logfi,d2_logfi] = Norm_loggi(x,theta)

nx = length(x);

logfi = -log(2*pi*theta)/2-x.^2/(2*theta);

if nargout>1;
    d_logfi = -1/(2*theta) + x.^2/(2*theta^2);
end

if nargout>2;
    d2_logfi = 1/(2*theta^2) - x.^2/(theta^3);
end
end

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    



